## rpiboot 0~20220315%2Bgit6fa2ec0%2Bnowin

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

# Makefile does not follow any conventions
override_dh_auto_install:
	true

override_dh_fixperms:
	dh_fixperms
	chmod -x $$(find debian/rpiboot -name "*.bin" -o -name "*.elf")

override_dh_dwz:
	dh_dwz -Xstart.elf -Xstart4.elf

override_dh_strip:
	dh_strip -Xstart.elf -Xstart4.elf

get-orig-source:
	DEB_SOURCE="$(DEB_SOURCE)" DEB_VERSION_UPSTREAM="$(DEB_VERSION_UPSTREAM)" \
		   debian/get-orig-source
