=== debian/changelog ===
rpiboot (0~20220315+git6fa2ec0+nowin-0ubuntu1) jammy; urgency=medium

  * Initial import into Ubuntu. (LP: #1959592)

 -- Dave Jones <dave.jones@canonical.com>  Mon, 31 Jan 2022 15:23:38 +0000
