## rpiboot 0~20240926~102326+git82d8755+nowin

=== debian/changelog ===
rpiboot (0~20240926~102326+git82d8755+nowin-0ubuntu1) plucky; urgency=medium

  * New upstream release, 20240926~102326 (LP: #2032178)
  * d/control: bump standards version

 -- Dave Jones <dave.jones@canonical.com>  Wed, 30 Oct 2024 10:30:02 +0100

rpiboot (20240926~102326) bookworm; urgency=medium

  [ Tim Gover ]
  * Delete state pieeprom.bin files for recovery / recovery5
  * docs: Update Pi5 secure-boot docs
  * secure-boot: 2712: Update to docs to indicate BETA status
  * docs: Remove BETA tag from secure-boot on Pi5
  * recovery: Remove the stale pieeprom.sig and pieeprom.bin files
  * firmware: 2712: Update to the 2024-09-10 default release
  * mass-storage-gadget: Deprecate this in favour of the 64-bit image
  * secure-boot-recovery: Disable write-protect in the reference config.txt file
  * secure-boot-recovery: Include the recovery_metadata documentation
  * sign.sh: Add a log message to indicate that boot.img is being signed
  * firmware: 2712: Update to the 2024-09-23 default release

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 26 Sep 2024 13:46:50 +0100

rpiboot (20240820~105714) bookworm; urgency=medium

  [ Tim Gover ]
  * rpiboot: Increase ep_read control transfer timeout

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 20 Aug 2024 12:02:35 +0100

rpiboot (20240816~170020) bookworm; urgency=medium

  [ Tom Dewey ]
  * secure-boot-recovery5: Fixup wording around recovery.bin

  [ Giampiero Baggiani ]
  * recovery5 README minor fix

  [ Tim Gover ]
  * firmware: 2711: Update to latest Pi4 firmware pieeprom-2024-05-17.bin
  * mass-storage-gadget64-cm3: Create a 64-bit mass-storage gadget for CM3
  * recovery: Add config.txt with example options
  * firmware: Update to the latest 2712 firmware - 2024-06-05
  * firmware: 2711: Move to the 2024-07-30 release
  * mass-storage-gadget64: boot.img: Add USB serial gadget
  * firmware: bootfiles: Update for preliminary CM5 Lite support
  * docs: Guide users towards Raspberry Pi secure-boot provisioner
  * firmware: Update 2711/2712 firmware for OTP metadata and use latest 2712
    bootloader
  * recovery: recovery5: Fixup meta-data comments in config.txt
  * debian: Pull the firmware files from installed rpi-eeprom package
  * debian: Require rpi-eeprom version >= 24

  [ martamomotko ]
  * rpiboot: Update to check if directory exists
  * rpiboot: Add metadata output option
  * Fix parsing of the DUID metadata string

  [ Chris Burton ]
  * Add missing newline.

  [ Serge Schneider ]
  * Lintian fixes

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 19 Aug 2024 23:21:53 +0100

rpiboot (20240422~085300) bookworm; urgency=medium

  [ Tim Gover ]
  * bootloader: Update to 2023-01-11 release
  * secure-boot-recovery: boot.conf - Update BOOT_ORDER to include NVMe
  * Update secure-boot docs - add chain of trust diagram
  * Update EEPROM image to pieeprom-2023-05-11
  * bootfiles: Load EEPROM DDR FW from bootfiles.bin
  * recovery5: Preliminary support for EEPROM updates on Pi5
  * mass-storage-gadget64: Add 64-bit mass-storage-gadget for BCM2711 BCM2712
  * rpiboot: Update top level docs for Raspberry Pi 5
  * windows: Add windows support for Raspberry Pi 5
  * gitignore: Ignore Vi .swp files
  * rpiboot: Read firmware from a package (.tar) file
  * rpiboot: Add support for 2712 USB descriptors
  * bootfiles: Move to firmware sub-directory
  * documentation: Fixup .org URLs
  * Update 2712 firmware to pieeprom-2024-02-16 release
  * mass-storage-gadget64: Update for preliminary BCM2712D0 and CM5 support
  * docs: Note that CM4S is compatible with CM4S RPIBOOT software
  * mass-storage-gadget64: Reduce image size, fix DHCP and autologin to consoles
  * rpi-eeprom: debian: Import rpi-eeprom tools as a submodule
  * Readme.md: Fix some markdown issues
  * bootloader: Use rpi-eeprom submodule for bootloader binaries
  * update-pieeprom: Use system versions of rpi-eeprom tools in APT installs
  * Update debian package following submodule reorg
  * Makefile: Update install to use same msd path as APT
  * Makefile: Add support for INSTALL_PREFIX
  * 2712: Default to mass-storage-gadget64 if no direcoty is specified
  * win32: Update for submodules and drop recovery
  * readme: Specify the python3-cryptodome library instead of pip install
  * recovery5: pieeprom.original.bin should be a symlink
  * firmware: Update the 2711 bootloader to pieeprom-2024-04-15
  * firmware: Update 2711 firmware in bootfiles.bin with secure-boot support
  * bootfiles: Use the bootfiles loader for mass-storage gadget images
  * secure-boot-recovery: Document the reboot flag
  * mass-storage-gadget64: Update for CM5
  * BCM2712: Preliminary tool support for secure-boot
  * firmware: Update 2712 to 2024-04-20 release

  [ Torben Woltjen ]
  * Fix typo that resulted in opposite meaning (does -> doesn't)

  [ Phil Elwell ]
  * README: Include build-essential as a pre-requisite

  [ TM ]
  * Fix typo

  [ mennovf ]
  * Update install_script.nsi

  [ Peter Harper ]
  * Increase timeout for libusb_control_transfer
  * Add options to set the key offset and length

  [ axel simon ]
  * fix link to ./tools/rpi-otp-private-key

  [ Rory B ]
  * fix typo

  [ Tom Dewey ]
  * rpiboot: Allow selecting by serial number
  * rpiboot: review feedback
  * rpiboot: review second round
  * rpiboot: Close libusb handles during search
  * rpiboot: Use libusb without prefix
  * rpiboot: Fixup USB VID typo
  * rpiboot: Update 05ac log message

 -- Tim Gover <tim.gover@raspberrypi.com>  Mon, 22 Apr 2024 08:53:16 +0100

rpiboot (20221215~105525) bullseye; urgency=medium

  [ Tim Gover ]
  * rpi-eeprom-digest: Only require openssl + xxd for RSA operations
  * verifySig tidyup
  * docs: Update mass-storage gadget + secure-boot
  * secure-boot-example: Update boot.img and docs for cryptsetup example
  * Update issue templates
  * git: Create tags that match the APT releases
  * bin2c: Add cast to silence isalnum warning
  * usbboot: Indicate when a file is missing / empty.

