=== debian/control ===
Source: rpiboot
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Serge Schneider <serge@raspberrypi.com>
Build-Depends:
 debhelper-compat (= 13),
 libusb-1.0-0-dev,
 pkgconf,
 rpi-eeprom-firmware (>= 26),
Standards-Version: 4.6.2
Homepage: https://github.com/raspberrypi/usbboot
Rules-Requires-Root: no

Package: rpiboot
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 python3,
 rpi-eeprom-firmware (>= 26),
Description: Raspberry Pi USB booting code
 USB MSD boot code which should work on the Raspberry Pi model A,
 Compute Module, Compute Module 3, Compute Module 4, Compute Module 5,
 Raspberry Pi 5 and Raspberry Pi Zero.
 .
 Also includes utilities for working with secure boot on the Raspberry Pi 4
 series (including Compute Module 4 and certain board revisions of the 4B and
 400).
