=== debian/watch ===
version=4

opts=\
  repacksuffix=+nowin,\
  dversionmangle=s/\+nowin$//,\
  filenamemangle=s/.*\/@ANY_VERSION@\.tar\.gz/@PACKAGE@_$1\.orig\.tar\.gz/ \
  https://github.com/raspberrypi/usbboot/tags .*/@ANY_VERSION@\.tar\.gz
