## rpiboot 20221215~105526~buster

=== debian/changelog ===
rpiboot (20221215~105526~buster) buster; urgency=medium

  * Release for buster

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 17 Jan 2023 15:37:06 +0000
