=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# Makefile does not follow any conventions
override_dh_auto_install:
	true

override_dh_strip:
	dh_strip -Xstart.elf -Xstart4.elf

override_dh_install:
	dh_install
	find $(CURDIR)/debian -name .gitignore -delete
