## rpiboot 20250908~162618~bookworm

=== debian/changelog ===
rpiboot (20250908~162618~bookworm) bookworm; urgency=medium

  * debian: Update rpi-eeprom dependency versions

 -- Tim Gover <tim.gover@raspberrypi.com>  Mon, 08 Sep 2025 16:55:01 +0100

rpiboot (20250519~100421) bookworm; urgency=medium

  * secure-boot-recovery: program_pubkey now automatically sets
    revoke_devkey
  * windows: Update for BCM2711/BCM2712 2025-05-08 firmware + generic
    BCM2710 and older msd.elf
  * debian: Update rpi-eeprom dependencies for recovery.bin
    (revoke_devkey)

 -- Tim Gover <tim.gover@raspberrypi.com>  Mon, 19 May 2025 11:50:02 +0100

rpiboot (20250516~140109) bookworm; urgency=medium

  * rules: Update the 2711/2712 bootloaders to 2025-05-08

 -- Tim Gover <tim.gover@raspberrypi.com>  Fri, 16 May 2025 14:01:09 +0100

rpiboot (20250514~214724) bookworm; urgency=medium

  [ Tim Gover ]
  * mass-storage-gadget: Update to rpi-6.12.y kernel
  * mass-storage-gadget64-cm4: Update to rpi-6.12 kernel
  * Add a Hardware Security Module wrapper script interface
  * WIP: Add Github CI workflow tests
  * test: Add a README.md and test CI
  * firmware: 2712: 2711: Move to the 2025-05-08 release

  [ Gaël PORTAY ]
  * secure-boot-recovery: Fix typo

 -- Tim Gover <tim.gover@raspberrypi.com>  Thu, 15 May 2025 17:24:23 +0100

rpiboot (20250401~081331) bookworm; urgency=medium

  [ Tim Gover ]
  * Add support for overriding files in bootfiles.bin
  * mass-storage-gadget64-cm3: Update GPU firmware for 2710 and older
    devices
  * msd: Remove legacy msd/start4.elf and use a common legacy msd .elf
    file
  * rpi-make-boot-image: Drop start4x on 2711
  * rpi-make-boot-image: Don't include Pi5 specific kernel + initramfs in
    pi4 mode
  * mass-storage-gadget64: Update boot.img for util-linux blkid tools
  * firmware: 2712: Update to pieeprom-2025-03-10
  * update-pieeprom: Fix handling for SRC_IMAGE in code-signing mode
  * update-pieeprom.sh: Remove redundant SIGNED_BOOT=1 flag
  * make: Remove BUILD_TIMESTAMP
  * update-pieeprom.sh: Initialise SIGN_FIRMWARE variable
  * firmware: Update rpi-eeprom submodule

  [ Richard Oliver ]
  * rpi-make-boot-image: Prefer 512-byte clusters
  * rpi-make-boot-image: Set disk geometry
  * rpi-make-boot-image: Use KiB for sizes internally
  * rpi-make-boot-image: Estimate size with clusters
  * udev: Deauthorise boot rom usb-storage
  * pkg: Include mass-storage-gadget64-cm3

  [ Leon Anavi ]
  * secure-boot-example/README.md: Fix typo

  [ Matt Wildoer ]
  * Update Makefile to handle date formatting for macOS compatibility

 -- Tim Gover <tim.gover@raspberrypi.com>  Tue, 01 Apr 2025 08:14:36 +0100

rpiboot (20250227~132106) bookworm; urgency=medium

  * version: Drop git-version prefix

 -- Tim Gover <tim.gover@raspberrypi.com>  Thu, 27 Feb 2025 13:22:44 +0000

rpiboot (20250227~123606) bookworm; urgency=medium

  * makefile: Fix check for debian/changelog in PKG_VER
  * makefile: Pass build-date as a make flag for reproducible builds
  * main: Tidyup error handling in second stage setup

 -- Tim Gover <tim.gover@raspberrypi.com>  Thu, 27 Feb 2025 13:06:00 +0000

rpiboot (20250226~171348) bookworm; urgency=medium

  * makefile: Only set the PKG_VERSION in APT builds
  * debian: Remove debian build scripts from master

 -- Tim Gover <tim.gover@raspberrypi.com>  Thu, 27 Feb 2025 12:16:06 +0000

rpiboot (20250226~163138) bookworm; urgency=medium

  * readme: Expand build instructions to mention 'make install' and
    INSTALL_PREFIX
  * salsa-ci: Add the extract source section as with rpi-eeprom
  * debian: rpi-make-boot-image: Drop direct dependency on coreutils and
    tar
  * makefile: Pass CPPFLAGS - required for APT (debian/hardening)

 -- Tim Gover <tim.gover@raspberrypi.com>  Wed, 26 Feb 2025 16:33:08 +0000

rpiboot (20250221~161557) bookworm; urgency=medium

  * win32: Update windows installer for latest bootfiles.bin firmware
  * firmware: 2712: Update to the 2025-02-12 release
  * 2712: Fix incorrect filename for pieeprom.bin
  * firmware: 2711: Update to the 2025-02-11 release
  * rpiboot: Use mass-storage-gadget-64 by default on BCM2711
  * debian: Add a build time dependency on xxd
  * Add gbp.conf
  * debian: Require rpi-eeprom >= 27.4
  * debian: Select pieeprom-2025-02-12-2712 and pieeprom-2025-02-11-2711

 -- Tim Gover <tim.gover@raspberrypi.com>  Fri, 21 Feb 2025 16:45:08 +0000

rpiboot (20250129~123632) bookworm; urgency=medium

  [ Tim Gover ]
  * recovery5: Remove redundant recovery.bin file
  * secure-boot-recovery5: Fixup recovery.bin link
  * win32: Remove the redundant .bat file for 32-bit mass-storage gadget
  * win32: Include product names in rpiboot shortcut links
  * win32: Add a help message to the mass-storage-gadget batch file
  * win32: Update the installer executable
  * mass-storage-gadget64: Add mmc-utils and other useful commands
  * 2712: Update recommended boot.conf for default provisioning setup
  * Remvove the 32-bit mass-storage-gadget
  * Make mass-storage-gadget a symlink to mass-storage-gadget64
  * rpi-imager-embedded: Remove the old version of the imager boot.img
  * readme: Assorted update for Compute Module 5
  * mass-storage-gadget64: docs - Fix comments in config.txt
  * secure-boot-recovery: Update README for Pi4 instructions
  * firmware: 2712: Move to the 2024-11-27 release
  * rpiboot: Provide a short link to the troubleshooting guide on startup
  * secure-boot-example: Update to work on both Compute Module 4 and
    Compute Module 5
  * pi5: Improve path handling if bootfiles.bin is not found
  * firmware: 2712: Update to pieeprom-2025-01-22
  * mass-storage-64: Restore symlink to bootfiles.bin
  * README: mass-storage-gadget -> mass-storage-gadget64
  * rpiboot: Add note about rpiboot jumper to the startup guidance

  [ tinyboxvk ]
  * Update Readme.md
  * Update Readme.md
  * Update README.md
  * Update config.txt
  * Update config.txt
  * Update Readme.md
  * Fix typos

  [ Stanislav Kusovskyi ]
  * mass-storage-gadget64: fix invokes of extra tools in sign.sh


