=== debian/changelog ===
rpiboot (20250908~162618) trixie; urgency=medium

  * debian: firmware: Update to 2025-08-27

 -- Tim Gover <tim.gover@raspberrypi.com>  Mon, 08 Sep 2025 16:48:25 +0100

rpiboot (20250519~100421+trixie) trixie; urgency=medium

  * Switch gbp.conf debian branch to pios/trixie

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 29 Jul 2025 13:21:23 +0100
