=== debian/control ===
Source: rpiboot
Section: utils
Priority: optional
Maintainer: Serge Schneider <serge@raspberrypi.com>
Build-Depends: debhelper-compat (= 13), libusb-1.0-0-dev, pkg-config, rpi-eeprom (>= 28.5), xxd
Standards-Version: 4.5.1
Homepage: https://github.com/raspberrypi/usbboot

Package: rpiboot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3, rpi-eeprom (>= 28.5)
Description: Raspberry Pi USB booting code
 USB MSD boot code which should work on the Raspberry Pi model A,
 Compute Module, Compute Module 3, Compute Module 4, Compute Module 5,
 Raspberry Pi 5 and Raspberry Pi Zero.

Package: rpi-make-boot-image
Architecture: any
Depends: dosfstools, file, mount
Recommends: mtools
Description: Utility to create Raspberry Pi minimal boot ramdisk files.
  Utility for building Raspberry Pi bootloader ramdisk (boot.img) files.
  These images are raw FAT images and the tool attempts to make this as small as possible to reduce load time.
