## rpiboot 20251107~092017~bookworm

=== debian/changelog ===
rpiboot (20251107~092017~bookworm) bookworm; urgency=medium

  [ Andrew Scheller ]
  * Fix help-text formatting for rpi-make-boot-image
  * Remove inconsistent full stops

  [ Tim Gover ]
  * tools: rpi-get-latest-fw: Updates the Pi4 / Pi5 firmware release
  * firmware: 2711: 2712: Update to 2025-11-05
  * firmware: Update to 2025-11-07 - rpi-eeprom 28.7

 -- Tim Gover <tim.gover@raspberrypi.com>  Tue, 11 Nov 2025 14:50:25 +0000
