## rpiboot 20251214~140909

=== debian/changelog ===
rpiboot (20251214~140909) trixie; urgency=medium

  [ Tim Gover ]
  * bootcode: Use USB2 HS mode for loading start.elf / ramdisk

  [ Michele Rizzo ]
  * Increase handled port number up to 255
  * Adjust port number range to 0-98

  [ Nicolai Buchwitz ]
  * Makefile: add platform-specific default mass-storage-gadget directory

  [ Ansgar Schmidt ]
  * Fixing compiler problem of main

 -- Tim Gover <tim.gover@raspberrypi.com>  Mon, 15 Dec 2025 15:04:23 +0000
