## rpiboot 20260210~145518

=== debian/changelog ===
rpiboot (20260210~145518) trixie; urgency=medium

  * salsa: Remove extract block
  * firmware: 2711: 2712: Move to pieeprom-2026-02-06
  * apt: update rpi-eeprom dependency

 -- Tim Gover <tim.gover@raspberrypi.com>  Tue, 10 Feb 2026 15:01:50 +0000

rpiboot (20260202~161355) trixie; urgency=medium

  [ Tim Gover ]
  * firmware: 2711: Update to 2026-01-09
  * firmware: 2712: Update to 2026/01/21 to match manufacture
  * Require rpi-eeprom 28.12
  * apt: update rpi-eeprom dependency

  [ Mathew Blowers ]
  * Latest wdi-simple
  * mass storage gadget link no longer just CM4 and CM5

 -- Tim Gover <tim.gover@raspberrypi.com>  Mon, 02 Feb 2026 16:20:30 +0000
